import '../../r5.dart';

class ResourceUtils {
  static const resourceTypeFromStringMap = {
    'Account': R5ResourceType.Account,
    'ActivityDefinition': R5ResourceType.ActivityDefinition,
    'AdverseEvent': R5ResourceType.AdverseEvent,
    'AllergyIntolerance': R5ResourceType.AllergyIntolerance,
    'Appointment': R5ResourceType.Appointment,
    'AppointmentResponse': R5ResourceType.AppointmentResponse,
    'AuditEvent': R5ResourceType.AuditEvent,
    'Basic': R5ResourceType.Basic,
    'Binary': R5ResourceType.Binary,
    'BiologicallyDerivedProduct': R5ResourceType.BiologicallyDerivedProduct,
    'BodyStructure': R5ResourceType.BodyStructure,
    'Bundle': R5ResourceType.Bundle,
    'CapabilityStatement': R5ResourceType.CapabilityStatement,
    'CapabilityStatement2': R5ResourceType.CapabilityStatement2,
    'CarePlan': R5ResourceType.CarePlan,
    'CareTeam': R5ResourceType.CareTeam,
    'CatalogEntry': R5ResourceType.CatalogEntry,
    'ChargeItem': R5ResourceType.ChargeItem,
    'ChargeItemDefinition': R5ResourceType.ChargeItemDefinition,
    'Claim': R5ResourceType.Claim,
    'ClaimResponse': R5ResourceType.ClaimResponse,
    'ClinicalImpression': R5ResourceType.ClinicalImpression,
    'ClinicalUseIssue': R5ResourceType.ClinicalUseIssue,
    'CodeSystem': R5ResourceType.CodeSystem,
    'Communication': R5ResourceType.Communication,
    'CommunicationRequest': R5ResourceType.CommunicationRequest,
    'CompartmentDefinition': R5ResourceType.CompartmentDefinition,
    'Composition': R5ResourceType.Composition,
    'ConceptMap': R5ResourceType.ConceptMap,
    'Condition': R5ResourceType.Condition,
    'ConditionDefinition': R5ResourceType.ConditionDefinition,
    'Consent': R5ResourceType.Consent,
    'Contract': R5ResourceType.Contract,
    'Coverage': R5ResourceType.Coverage,
    'CoverageEligibilityRequest': R5ResourceType.CoverageEligibilityRequest,
    'CoverageEligibilityResponse': R5ResourceType.CoverageEligibilityResponse,
    'DetectedIssue': R5ResourceType.DetectedIssue,
    'Device': R5ResourceType.Device,
    'DeviceDefinition': R5ResourceType.DeviceDefinition,
    'DeviceMetric': R5ResourceType.DeviceMetric,
    'DeviceRequest': R5ResourceType.DeviceRequest,
    'DeviceUseStatement': R5ResourceType.DeviceUseStatement,
    'DiagnosticReport': R5ResourceType.DiagnosticReport,
    'DocumentManifest': R5ResourceType.DocumentManifest,
    'DocumentReference': R5ResourceType.DocumentReference,
    'Encounter': R5ResourceType.Encounter,
    'Endpoint': R5ResourceType.Endpoint,
    'EnrollmentRequest': R5ResourceType.EnrollmentRequest,
    'EnrollmentResponse': R5ResourceType.EnrollmentResponse,
    'EpisodeOfCare': R5ResourceType.EpisodeOfCare,
    'EventDefinition': R5ResourceType.EventDefinition,
    'Evidence': R5ResourceType.Evidence,
    'EvidenceVariable': R5ResourceType.EvidenceVariable,
    'ExampleScenario': R5ResourceType.ExampleScenario,
    'ExplanationOfBenefit': R5ResourceType.ExplanationOfBenefit,
    'FamilyMemberHistory': R5ResourceType.FamilyMemberHistory,
    'Flag': R5ResourceType.Flag,
    'Goal': R5ResourceType.Goal,
    'GraphDefinition': R5ResourceType.GraphDefinition,
    'Group': R5ResourceType.Group,
    'GuidanceResponse': R5ResourceType.GuidanceResponse,
    'HealthcareService': R5ResourceType.HealthcareService,
    'ImagingStudy': R5ResourceType.ImagingStudy,
    'Immunization': R5ResourceType.Immunization,
    'ImmunizationEvaluation': R5ResourceType.ImmunizationEvaluation,
    'ImmunizationRecommendation': R5ResourceType.ImmunizationRecommendation,
    'ImplementationGuide': R5ResourceType.ImplementationGuide,
    'InsurancePlan': R5ResourceType.InsurancePlan,
    'Invoice': R5ResourceType.Invoice,
    'Library': R5ResourceType.Library,
    'Linkage': R5ResourceType.Linkage,
    'List': R5ResourceType.List_,
    'Location': R5ResourceType.Location,
    'Measure': R5ResourceType.Measure,
    'MeasureReport': R5ResourceType.MeasureReport,
    'Medication': R5ResourceType.Medication,
    'MedicationAdministration': R5ResourceType.MedicationAdministration,
    'MedicationDispense': R5ResourceType.MedicationDispense,
    'MedicationKnowledge': R5ResourceType.MedicationKnowledge,
    'MedicationRequest': R5ResourceType.MedicationRequest,
    'MedicationUsage': R5ResourceType.MedicationUsage,
    'MedicinalProductDefinition': R5ResourceType.MedicinalProductDefinition,
    'RegulatedAuthorization': R5ResourceType.RegulatedAuthorization,
    'Ingredient': R5ResourceType.Ingredient,
    'ManufacturedItemDefinition': R5ResourceType.ManufacturedItemDefinition,
    'PackagedProductDefinition': R5ResourceType.PackagedProductDefinition,
    'AdministrableProductDefinition':
        R5ResourceType.AdministrableProductDefinition,
    'MessageDefinition': R5ResourceType.MessageDefinition,
    'MessageHeader': R5ResourceType.MessageHeader,
    'MolecularSequence': R5ResourceType.MolecularSequence,
    'NamingSystem': R5ResourceType.NamingSystem,
    'NutritionIntake': R5ResourceType.NutritionIntake,
    'NutritionOrder': R5ResourceType.NutritionOrder,
    'NutritionProduct': R5ResourceType.NutritionProduct,
    'Observation': R5ResourceType.Observation,
    'ObservationDefinition': R5ResourceType.ObservationDefinition,
    'OperationDefinition': R5ResourceType.OperationDefinition,
    'OperationOutcome': R5ResourceType.OperationOutcome,
    'Organization': R5ResourceType.Organization,
    'OrganizationAffiliation': R5ResourceType.OrganizationAffiliation,
    'Parameters': R5ResourceType.Parameters,
    'Patient': R5ResourceType.Patient,
    'PaymentNotice': R5ResourceType.PaymentNotice,
    'PaymentReconciliation': R5ResourceType.PaymentReconciliation,
    'Permission': R5ResourceType.Permission,
    'Person': R5ResourceType.Person,
    'PlanDefinition': R5ResourceType.PlanDefinition,
    'Practitioner': R5ResourceType.Practitioner,
    'PractitionerRole': R5ResourceType.PractitionerRole,
    'Procedure': R5ResourceType.Procedure,
    'Provenance': R5ResourceType.Provenance,
    'Questionnaire': R5ResourceType.Questionnaire,
    'QuestionnaireResponse': R5ResourceType.QuestionnaireResponse,
    'RelatedPerson': R5ResourceType.RelatedPerson,
    'RequestGroup': R5ResourceType.RequestGroup,
    'ResearchStudy': R5ResourceType.ResearchStudy,
    'ResearchSubject': R5ResourceType.ResearchSubject,
    'RiskAssessment': R5ResourceType.RiskAssessment,
    'Schedule': R5ResourceType.Schedule,
    'SearchParameter': R5ResourceType.SearchParameter,
    'ServiceRequest': R5ResourceType.ServiceRequest,
    'Slot': R5ResourceType.Slot,
    'Specimen': R5ResourceType.Specimen,
    'SpecimenDefinition': R5ResourceType.SpecimenDefinition,
    'StructureDefinition': R5ResourceType.StructureDefinition,
    'StructureMap': R5ResourceType.StructureMap,
    'Subscription': R5ResourceType.Subscription,
    'SubscriptionStatus': R5ResourceType.SubscriptionStatus,
    'SubscriptionTopic': R5ResourceType.SubscriptionTopic,
    'Substance': R5ResourceType.Substance,
    'SubstanceDefinition': R5ResourceType.SubstanceDefinition,
    'SubstanceNucleicAcid': R5ResourceType.SubstanceNucleicAcid,
    'SubstancePolymer': R5ResourceType.SubstancePolymer,
    'SubstanceProtein': R5ResourceType.SubstanceProtein,
    'SubstanceReferenceInformation':
        R5ResourceType.SubstanceReferenceInformation,
    'SubstanceSourceMaterial': R5ResourceType.SubstanceSourceMaterial,
    'SupplyDelivery': R5ResourceType.SupplyDelivery,
    'SupplyRequest': R5ResourceType.SupplyRequest,
    'Task': R5ResourceType.Task,
    'TerminologyCapabilities': R5ResourceType.TerminologyCapabilities,
    'TestReport': R5ResourceType.TestReport,
    'TestScript': R5ResourceType.TestScript,
    'ValueSet': R5ResourceType.ValueSet,
    'VerificationResult': R5ResourceType.VerificationResult,
    'VisionPrescription': R5ResourceType.VisionPrescription,
  };

  static const resourceTypeToStringMap = {
    R5ResourceType.Account: 'Account',
    R5ResourceType.ActivityDefinition: 'ActivityDefinition',
    R5ResourceType.AdverseEvent: 'AdverseEvent',
    R5ResourceType.AllergyIntolerance: 'AllergyIntolerance',
    R5ResourceType.Appointment: 'Appointment',
    R5ResourceType.AppointmentResponse: 'AppointmentResponse',
    R5ResourceType.AuditEvent: 'AuditEvent',
    R5ResourceType.Basic: 'Basic',
    R5ResourceType.Binary: 'Binary',
    R5ResourceType.BiologicallyDerivedProduct: 'BiologicallyDerivedProduct',
    R5ResourceType.BodyStructure: 'BodyStructure',
    R5ResourceType.Bundle: 'Bundle',
    R5ResourceType.CapabilityStatement: 'CapabilityStatement',
    R5ResourceType.CapabilityStatement2: 'CapabilityStatement2',
    R5ResourceType.CarePlan: 'CarePlan',
    R5ResourceType.CareTeam: 'CareTeam',
    R5ResourceType.CatalogEntry: 'CatalogEntry',
    R5ResourceType.ChargeItem: 'ChargeItem',
    R5ResourceType.ChargeItemDefinition: 'ChargeItemDefinition',
    R5ResourceType.Claim: 'Claim',
    R5ResourceType.ClaimResponse: 'ClaimResponse',
    R5ResourceType.ClinicalImpression: 'ClinicalImpression',
    R5ResourceType.ClinicalUseIssue: 'ClinicalUseIssue',
    R5ResourceType.CodeSystem: 'CodeSystem',
    R5ResourceType.Communication: 'Communication',
    R5ResourceType.CommunicationRequest: 'CommunicationRequest',
    R5ResourceType.CompartmentDefinition: 'CompartmentDefinition',
    R5ResourceType.Composition: 'Composition',
    R5ResourceType.ConceptMap: 'ConceptMap',
    R5ResourceType.Condition: 'Condition',
    R5ResourceType.ConditionDefinition: 'ConditionDefinition',
    R5ResourceType.Consent: 'Consent',
    R5ResourceType.Contract: 'Contract',
    R5ResourceType.Coverage: 'Coverage',
    R5ResourceType.CoverageEligibilityRequest: 'CoverageEligibilityRequest',
    R5ResourceType.CoverageEligibilityResponse: 'CoverageEligibilityResponse',
    R5ResourceType.DetectedIssue: 'DetectedIssue',
    R5ResourceType.Device: 'Device',
    R5ResourceType.DeviceDefinition: 'DeviceDefinition',
    R5ResourceType.DeviceMetric: 'DeviceMetric',
    R5ResourceType.DeviceRequest: 'DeviceRequest',
    R5ResourceType.DeviceUseStatement: 'DeviceUseStatement',
    R5ResourceType.DiagnosticReport: 'DiagnosticReport',
    R5ResourceType.DocumentManifest: 'DocumentManifest',
    R5ResourceType.DocumentReference: 'DocumentReference',
    R5ResourceType.Encounter: 'Encounter',
    R5ResourceType.Endpoint: 'Endpoint',
    R5ResourceType.EnrollmentRequest: 'EnrollmentRequest',
    R5ResourceType.EnrollmentResponse: 'EnrollmentResponse',
    R5ResourceType.EpisodeOfCare: 'EpisodeOfCare',
    R5ResourceType.EventDefinition: 'EventDefinition',
    R5ResourceType.Evidence: 'Evidence',
    R5ResourceType.EvidenceVariable: 'EvidenceVariable',
    R5ResourceType.ExampleScenario: 'ExampleScenario',
    R5ResourceType.ExplanationOfBenefit: 'ExplanationOfBenefit',
    R5ResourceType.FamilyMemberHistory: 'FamilyMemberHistory',
    R5ResourceType.Flag: 'Flag',
    R5ResourceType.Goal: 'Goal',
    R5ResourceType.GraphDefinition: 'GraphDefinition',
    R5ResourceType.Group: 'Group',
    R5ResourceType.GuidanceResponse: 'GuidanceResponse',
    R5ResourceType.HealthcareService: 'HealthcareService',
    R5ResourceType.ImagingStudy: 'ImagingStudy',
    R5ResourceType.Immunization: 'Immunization',
    R5ResourceType.ImmunizationEvaluation: 'ImmunizationEvaluation',
    R5ResourceType.ImmunizationRecommendation: 'ImmunizationRecommendation',
    R5ResourceType.ImplementationGuide: 'ImplementationGuide',
    R5ResourceType.InsurancePlan: 'InsurancePlan',
    R5ResourceType.Invoice: 'Invoice',
    R5ResourceType.Library: 'Library',
    R5ResourceType.Linkage: 'Linkage',
    R5ResourceType.List_: 'List',
    R5ResourceType.Location: 'Location',
    R5ResourceType.Measure: 'Measure',
    R5ResourceType.MeasureReport: 'MeasureReport',
    R5ResourceType.Medication: 'Medication',
    R5ResourceType.MedicationAdministration: 'MedicationAdministration',
    R5ResourceType.MedicationDispense: 'MedicationDispense',
    R5ResourceType.MedicationKnowledge: 'MedicationKnowledge',
    R5ResourceType.MedicationRequest: 'MedicationRequest',
    R5ResourceType.MedicationUsage: 'MedicationUsage',
    R5ResourceType.MedicinalProductDefinition: 'MedicinalProductDefinition',
    R5ResourceType.RegulatedAuthorization: 'RegulatedAuthorization',
    R5ResourceType.Ingredient: 'Ingredient',
    R5ResourceType.ManufacturedItemDefinition: 'ManufacturedItemDefinition',
    R5ResourceType.PackagedProductDefinition: 'PackagedProductDefinition',
    R5ResourceType.AdministrableProductDefinition:
        'AdministrableProductDefinition',
    R5ResourceType.MessageDefinition: 'MessageDefinition',
    R5ResourceType.MessageHeader: 'MessageHeader',
    R5ResourceType.MolecularSequence: 'MolecularSequence',
    R5ResourceType.NamingSystem: 'NamingSystem',
    R5ResourceType.NutritionIntake: 'NutritionIntake',
    R5ResourceType.NutritionOrder: 'NutritionOrder',
    R5ResourceType.NutritionProduct: 'NutritionProduct',
    R5ResourceType.Observation: 'Observation',
    R5ResourceType.ObservationDefinition: 'ObservationDefinition',
    R5ResourceType.OperationDefinition: 'OperationDefinition',
    R5ResourceType.OperationOutcome: 'OperationOutcome',
    R5ResourceType.Organization: 'Organization',
    R5ResourceType.OrganizationAffiliation: 'OrganizationAffiliation',
    R5ResourceType.Parameters: 'Parameters',
    R5ResourceType.Patient: 'Patient',
    R5ResourceType.PaymentNotice: 'PaymentNotice',
    R5ResourceType.PaymentReconciliation: 'PaymentReconciliation',
    R5ResourceType.Permission: 'Permission',
    R5ResourceType.Person: 'Person',
    R5ResourceType.PlanDefinition: 'PlanDefinition',
    R5ResourceType.Practitioner: 'Practitioner',
    R5ResourceType.PractitionerRole: 'PractitionerRole',
    R5ResourceType.Procedure: 'Procedure',
    R5ResourceType.Provenance: 'Provenance',
    R5ResourceType.Questionnaire: 'Questionnaire',
    R5ResourceType.QuestionnaireResponse: 'QuestionnaireResponse',
    R5ResourceType.RelatedPerson: 'RelatedPerson',
    R5ResourceType.RequestGroup: 'RequestGroup',
    R5ResourceType.ResearchStudy: 'ResearchStudy',
    R5ResourceType.ResearchSubject: 'ResearchSubject',
    R5ResourceType.RiskAssessment: 'RiskAssessment',
    R5ResourceType.Schedule: 'Schedule',
    R5ResourceType.SearchParameter: 'SearchParameter',
    R5ResourceType.ServiceRequest: 'ServiceRequest',
    R5ResourceType.Slot: 'Slot',
    R5ResourceType.Specimen: 'Specimen',
    R5ResourceType.SpecimenDefinition: 'SpecimenDefinition',
    R5ResourceType.StructureDefinition: 'StructureDefinition',
    R5ResourceType.StructureMap: 'StructureMap',
    R5ResourceType.Subscription: 'Subscription',
    R5ResourceType.SubscriptionStatus: 'SubscriptionStatus',
    R5ResourceType.SubscriptionTopic: 'SubscriptionTopic',
    R5ResourceType.Substance: 'Substance',
    R5ResourceType.SubstanceDefinition: 'SubstanceDefinition',
    R5ResourceType.SubstanceNucleicAcid: 'SubstanceNucleicAcid',
    R5ResourceType.SubstancePolymer: 'SubstancePolymer',
    R5ResourceType.SubstanceProtein: 'SubstanceProtein',
    R5ResourceType.SubstanceReferenceInformation:
        'SubstanceReferenceInformation',
    R5ResourceType.SubstanceSourceMaterial: 'SubstanceSourceMaterial',
    R5ResourceType.SupplyDelivery: 'SupplyDelivery',
    R5ResourceType.SupplyRequest: 'SupplyRequest',
    R5ResourceType.Task: 'Task',
    R5ResourceType.TerminologyCapabilities: 'TerminologyCapabilities',
    R5ResourceType.TestReport: 'TestReport',
    R5ResourceType.TestScript: 'TestScript',
    R5ResourceType.ValueSet: 'ValueSet',
    R5ResourceType.VerificationResult: 'VerificationResult',
    R5ResourceType.VisionPrescription: 'VisionPrescription',
  };
}
